<?xml version='1.0'?>
<!--###########################################################################
 |      $Id: lyx.mapping.xsl,v 1.3 2001/04/25 21:19:44 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 |   PURPOSE:
 + ############################################################################ -->

<xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
        exclude-result-prefixes="doc" version='1.0'>

<xsl:variable name="lyx.mapping.xml" select="document('lyx.mapping.xml')"/>

<xsl:template name="lyx.mapping">
<xsl:param name="keyword"></xsl:param>
<xsl:param name="element.name" select="local-name(.)"/>
<xsl:variable name="lyx.mapping">
    <xsl:value-of select="($lyx.mapping.xml/lyxmapping/mapping[@key=$keyword])[1]/@text"/>
</xsl:variable>
<xsl:if test="$lyx.mapping =''">
    <xsl:message>***Warning: No mapping for <xsl:value-of select="$keyword"/></xsl:message>
</xsl:if>
<xsl:value-of select="$lyx.mapping"/>
</xsl:template>

<xsl:template name="lyx.mapfrom">
<xsl:param name="keyword"/>
<xsl:param name="mapfile"/>
<xsl:variable name="value">
  <xsl:value-of select="($mapfile/lyxmapping/mapping[@key=$keyword])[1]/@text"/>
</xsl:variable>
<xsl:value-of select="$value"/>
</xsl:template>

</xsl:stylesheet>
