<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>
<!--########################################################################### 
 |    $Id: footnote.mod.xsl,v 1.2 2001/03/14 23:16:58 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->


<xsl:template match="footnote">
<xsl:call-template name="label.id"/>
<xsl:text>\begin_float footnote&#10;</xsl:text>
<xsl:apply-templates/>
<xsl:text>\end_float&#10;</xsl:text>
</xsl:template>

<xsl:template match="footnoteref">
<xsl:variable name="footnote" select="id(@linkend)"/>
<xsl:value-of select="name($footnote)"/>
<xsl:text>[\ref{</xsl:text>
      <!-- xsl:apply-templates select="$footnote" mode="footnote.number"/> -->
    <xsl:value-of select="@linkend"/>
<xsl:text>}]</xsl:text>
</xsl:template>

<xsl:template match="footnote" mode="footnote.number">
  <xsl:choose>
    <xsl:when test="ancestor::table|ancestor::informaltable">
      <xsl:number level="any" from="table|informaltable" format="a"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:number level="any" format="1"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
</xsl:stylesheet>
